function [q_wm] = pred_generator_WPPT(share,qmMax,i,Nde,day,data,perf_pred);
% generates the prediction of the wind power production for each of the
% generators. The prediction is carried out via WPPT for the first 43
% hours, then it is "flat" i.e. constant to the last predicted value.

pred_index = ((day-1)+i-1)*24-12;   % 31+28+31=90 days before April 2007, prediction is at noon of the previous day

if ~perf_pred
    p31 = data(pred_index,13:end);      % prediction for the 31 hours after the first hour of the next day 

    if Nde == 1
        pNde = p31(1:24);
    else
        pNde = [p31 p31(end)*ones(1,Nde*24-31)];    % Nde>1, otherwise single step optimization
    end
else
    pNde = data(pred_index+12:pred_index+12+Nde*24-1);
end

pNde = reshape(pNde,24,Nde);

q_wm = share*0.5*qmMax*pNde;
