clear all
close all

% Loading data according to weekend or weekday simulation
load('cons_sysp_58weeks_wdwe')
we = 0;
if (we == 0)
    sysp = sysp_wd;
    cons = cons_wd;
    b_day = 16;
    e_day = 275;
else
    sysp = sysp_we;
    cons = cons_we;
    b_day = 7;
    e_day = 110;
end

clear cons_wd cons_we sysp_wd sysp_we

% GENERATOR 1
beta_1 = 1200;
a_1 = 10;
b_1 =  1.5;
c_1 = 0.0001;

% GENERATOR 2
beta_2 = beta_1;
a_2 = 10;
b_2 =  1.5;
c_2 = 0.0001;

e = [];
f = [];
qm = [];

%b = 2000 a = 1.0044e+05;
%b = 1500 a = 8.6473e+04;
%b = 1000 a = 7.2510e+04;

% for day = b_day:e_day 
%     a = 7.2510e+04;
%     [pmi,qmi] = p_q_estimates(day,cons,sysp);
%     b = (a-qmi)/pmi;
%     
%     e = [e a./b];
%     f = [f ones(24,1)./b];
%     pm = pmi;
%     qm = [qm qmi];
% end

for day = b_day:e_day 
    b = 2000;
    [pmi,qmi] = p_q_estimates(day,cons,sysp);
    a = qmi+pmi*b;
    
    e = [e a./b];
    f = [f ones(24,1)./b];
    pm = pmi;
    qm = [qm qmi];
end

max_eig = zeros(24,1);
for j = 1:24
    for i = 1:e_day-b_day+1                     % real day one step forward (estimated f)
        A = [1-beta_1*(c_1+2*f(j,i))];
%         A = [1-beta_1*(c_1+2*f(j,i)) -beta_1*f(j,i); ...
%            -beta_2*f(j,i) 1-beta_2*(c_2+2*f(j,i))];
        max_eig(j) = max(max(abs(eig(A))),max_eig(j));
    end
end
    
max(max_eig)
    
    
    
    
    
    

