function [q_w] = wind_generator_WPPT(share,qmMax,Nd,Nde,day,data);
% generates the realization of the wind power for both the generators, 
% which is given by the measurements in April 2007 in the dk1 area. 
% The data are scaled to the system (10% of the total production)

N = Nd+Nde;

t1 = (day-1)*24;       
t2 = t1+24*(N)-1;

q_w = share*0.5*qmMax*reshape(data(t1:t2,1),24,N);
